<script lang = javascript>
<!--
/*
このファイルの中身は、NTT オープンソースライセンス　バージョン 1.0（「本
契約」という）の適用を受けます。
本契約を遵守しない限り、このファイルを使用してはなりません。
本契約のコピーは、次のＵＲＬから入手できます。
【配布サイトのURL】 http://www.oss.ecl.ntt.co.jp/lms/

本契約に基づき頒布されるソフトウェアは、現状のまま、明示又は黙示のあらゆ
る種類の保証なしで、頒布されます。本契約に基づく権利及び制限を律する特定
の文言については、本契約を参照してください。

「オリジナルコード」は、 NTT Cyber Space Laboratories Code です。 
「オリジナルコード」の「初期開発者」は、日本電信電話株式会社です。  
日本電信電話株式会社により創作された部分は、Copyright (C) 2004 
日本電信電話株式会社 です。
全ての権利が留保されます。 
「コントリビュータ」：_____________________________________ 


The contents of this file are subject to the NTT Opensource License
Version 1.0 (the License); you may not use this file except in
compliance with the License. You may obtain a copy of the License at
【配布サイトのURL】 http://www.oss.ecl.ntt.co.jp/lms/

Software distributed under the License is distributed on an AS IS
basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See the
License for the specific language governing rights and limitations
under the License.

The Original Code is NTT Cyber Space Laboratories Code .

The Initial Developer of the Original Code is NIPPON TELEGRAPH AND 
TELEPHONE CORPORATION.
Portions created by the NIPPON TELEGRAPH AND TELEPHONE CORPORATION 
are Copyright (C) 2004 NIPPON TELEGRAPH AND TELEPHONE CORPORATION. 
All Rights Reserved.

Contributor(s) ______________________________________.
*/

/*
//
//	ロール管理処理
//
//		変更履歴
//			2004.1.08  新規作成  横山 豪
//
//	機能
//
//	この画面は、ロール管理画面を操作します。
//

//////////////////////////////////////
// function selectNewInsert(obj)
//
// ロールの登録画面に遷移
//////////////////////////////////////
*/
function selectNewInsert(obj,max){
	if ( max <= obj.RoleList.length ){
		alert("これ以上ロールを登録できません。\n追加する場合は既存ロールを削除してください。");
		return;
	}
	obj.roleName.value = "";
	obj.action = "./RolesInsert.do"
	obj.copyRoleIdList.value = "";
	obj.submit();
}
//////////////////////////////////////
// function selectCopyInsert(obj)
//
// ロールの登録画面に遷移
//////////////////////////////////////

function selectCopyInsert(obj,max){
	if(!checkSelectIndex(Roles.RoleList)){
		return;
	}
	if ( max <= obj.RoleList.length ){
		alert("これ以上ロールを登録できません。\n追加する場合は既存ロールを削除してください。");
		return;
	}
	var i=0;
	var roleList = "";
	for(i=0;i<obj.RoleList.length;i++){
		if(obj.RoleList.options[i].selected){
			roleList = roleList + obj.RoleList.options[i].value + ",";
		}
	}
	roleList = roleList.substr(0,roleList.length-1);
	obj.roleName.value = "";
	obj.action = "./RolesInsert.do"
	obj.copyRoleIdList.value = roleList;
	obj.submit();
}
//////////////////////////////////////
// function selectUpdate(obj)
//
// ロールの更新画面に遷移
//////////////////////////////////////

function selectUpdate(obj){
	if(!checkSelectIndex(Roles.RoleList)){
		return;
	}
	var OptionValue = obj.RoleList.selectedIndex;
	var RoleID = obj.RoleList.options[OptionValue].value;
	var RoleName = obj.RoleList.options[OptionValue].text;
	obj.roleId.value = RoleID;
	obj.roleName.value = RoleName;
	obj.action = "./RolesUpdate.do"
	obj.submit();
}
//////////////////////////////////////
// function selectDelete(obj)
//
// ロールの削除画面に遷移
//////////////////////////////////////
function selectDelete(obj){
	if(!checkSelectIndex(Roles.RoleList)){
		return;
	}
	var OptionValue = obj.RoleList.selectedIndex;
	var RoleID = obj.RoleList.options[OptionValue].value;
	var RoleName = obj.RoleList.options[OptionValue].text;

	var notDeleteRoleID = "<%= NOT_DELETE_ROLEID %>";
	var notDeleteList = notDeleteRoleID.split(",");
	for( var i = 0; i < notDeleteList.length; i++ ) {
		if( RoleID == notDeleteList[i] ) {
			alert( "<%= STR_NOT_DELETE %>" );
			return;
		}
	}

	obj.action = "./RolesDelete.do"
	obj.roleId.value = RoleID;
	obj.roleName.value = RoleName;
	obj.submit();

}
//////////////////////////////////////
// function checkSelectIndex(objSelect)
//
// 選択状態をチェックする
//////////////////////////////////////
function checkSelectIndex(objSelect){
	var i=0;
	var selectedCnt = 0;
	for(i=0;i<objSelect.length;i++){
		if(objSelect.options[i].selected){
			selectedCnt = selectedCnt +1;
			if(selectedCnt>1){
				alert("ロールが複数選択されています。\nコピーのみ複数選択が使用できます。");
				return false;
			}
		}
	}
	if(selectedCnt==0){
		alert("ロールを選択してください。");
		return false;
	}
	return true;
}
// -->
</script>